<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="50dp"
    android:clipChildren="false"
    tools:background="@color/black">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_input"
        android:layout_width="0dp"
        android:layout_height="32dp"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="8dp"
        android:background="@drawable/room_bottom_item_bg"
        android:paddingHorizontal="16dp"
        android:paddingVertical="8dp"
        app:layout_constrainedWidth="true"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/operate_box"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_default="spread"
        app:layout_constraintWidth_max="140dp">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_input_box"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/room_chat_say_hi"
            android:textColor="@color/color_99FFFFFF"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.operatebox.OperateBox
        android:id="@+id/operate_box"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="4dp"
        android:clipChildren="false"
        app:icon_size="@dimen/room_bottom_operate_item_icon_size"
        app:item_height="@dimen/room_bottom_operate_item_width"
        app:item_width="@dimen/room_bottom_operate_item_width"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/cl_right"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_right"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_apply_pending"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:background="@drawable/room_bottom_item_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingHorizontal="10dp"
            android:text="@string/room_apply_mic_pending"
            android:textColor="@color/white"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

        <com.adealink.frame.dot.DotView
            android:id="@+id/v_apply_pending_dot"
            style="@style/CommonRedDot"
            android:layout_marginTop="-7dp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/btn_apply_pending"
            app:layout_constraintTop_toTopOf="@id/btn_apply_pending"
            tools:visibility="visible" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_apply_mic"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:paddingHorizontal="12dp"
            app:button_left_drawable="@drawable/room_operate_apply_mic_ic"
            app:button_left_drawable_margin="4dp"
            app:button_left_drawable_width="16dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_apply_pending"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/room_apply_mic"
            app:textSize="12sp" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/btn_leave_mic"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:background="@drawable/room_bottom_item_bg"
            android:fontFamily="@font/poppins_semibold"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingHorizontal="10dp"
            android:text="@string/room_leave_mic"
            android:textColor="@color/white"
            android:textSize="12sp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_apply_mic"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_apply_mic_guide"
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:paddingHorizontal="12dp"
        android:tag="@string/tag_how_to_order_guide_1"
        android:visibility="gone"
        app:button_left_drawable="@drawable/room_operate_apply_mic_ic"
        app:button_left_drawable_margin="4dp"
        app:button_left_drawable_width="16dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="@id/cl_right"
        app:layout_constraintTop_toTopOf="parent"
        app:text="@string/room_apply_mic"
        app:textSize="12sp"
        tools:visibility="visible" />

</androidx.constraintlayout.widget.ConstraintLayout>